curl --request POST \
--url https://api.zapier.com/v2/zaps \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"data": {
"steps": [
{
"action": "example_core:5m2y9p7J",
"inputs": {
"code": "output = [{id: Math.round(Date.now()/1000), n: Math.random()}];"
},
"authentication": null,
"alias": null
},
{
"action": "example_core:VBz2NGB5",
"inputs": {
"code": "output = [{ id: inputData.id, n: inputData.n * 2}];",
"inputs": {
"n": "{{n}}",
"id": "{{id}}"
}
},
"authentication": null,
"alias": null
}
],
"title": "My Critically Important Program"
}
}
'{
"type": "zap",
"id": "033cc069f2d3-4d63-8666-10c07ab38dac",
"is_enabled": true,
"last_successful_run_date": "2019-08-24T14:15:22Z",
"updated_at": "2024-03-14T22:02:36+00:00",
"title": "My Critically Important Program",
"links": {
"html_editor": "https://zapier.com/editor/104826178?utm_source=partner&utm_medium=embed&utm_campaign=partner_api&referer=zapier"
},
"steps": [
{
"action": "example_core:Vn7xbE60",
"authentication": "02ad1e61-17a9-87fa-971f-8619fb788562",
"inputs": {},
"title": null
},
{
"action": "example_core:V7GpzX40",
"authentication": null,
"inputs": null,
"title": null
}
]
}{
"errors": [
{
"status": 400,
"code": "parse_error",
"title": "ParseError",
"detail": "Malformed request.",
"source": null,
"meta": {
"source": "ZAPIER",
"full_details": {
"message": "Malformed request.",
"code": "parse_error"
}
}
}
]
}{
"errors": [
{
"status": 123,
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>",
"parameter": "<string>",
"header": "<string>"
},
"meta": {}
}
]
}{
"errors": [
{
"status": 123,
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>",
"parameter": "<string>",
"header": "<string>"
},
"meta": {}
}
]
}{
"errors": [
{
"status": 123,
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>",
"parameter": "<string>",
"header": "<string>"
},
"meta": {}
}
]
}{
"errors": [
{
"status": 123,
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>",
"parameter": "<string>",
"header": "<string>"
},
"meta": {}
}
]
}{
"errors": [
{
"status": 123,
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>",
"parameter": "<string>",
"header": "<string>"
},
"meta": {}
}
]
}{
"errors": [
{
"status": 500,
"code": "error",
"title": "APIException",
"detail": "A server error occurred.",
"source": null,
"meta": {
"source": "ZAPIER",
"full_details": {
"message": "A server error occurred.",
"code": "error"
}
}
}
]
}{
"errors": [
{
"status": 123,
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>",
"parameter": "<string>",
"header": "<string>"
},
"meta": {}
}
]
}{
"errors": [
{
"status": 123,
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>",
"parameter": "<string>",
"header": "<string>"
},
"meta": {}
}
]
}Zaps
Create a Zap
This URL creates a Zap based on the given steps and title.
When using OAuth
This endpoint requires the zap:write, or zap:all OAuth scopes.
POST
/
v2
/
zaps
curl --request POST \
--url https://api.zapier.com/v2/zaps \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"data": {
"steps": [
{
"action": "example_core:5m2y9p7J",
"inputs": {
"code": "output = [{id: Math.round(Date.now()/1000), n: Math.random()}];"
},
"authentication": null,
"alias": null
},
{
"action": "example_core:VBz2NGB5",
"inputs": {
"code": "output = [{ id: inputData.id, n: inputData.n * 2}];",
"inputs": {
"n": "{{n}}",
"id": "{{id}}"
}
},
"authentication": null,
"alias": null
}
],
"title": "My Critically Important Program"
}
}
'{
"type": "zap",
"id": "033cc069f2d3-4d63-8666-10c07ab38dac",
"is_enabled": true,
"last_successful_run_date": "2019-08-24T14:15:22Z",
"updated_at": "2024-03-14T22:02:36+00:00",
"title": "My Critically Important Program",
"links": {
"html_editor": "https://zapier.com/editor/104826178?utm_source=partner&utm_medium=embed&utm_campaign=partner_api&referer=zapier"
},
"steps": [
{
"action": "example_core:Vn7xbE60",
"authentication": "02ad1e61-17a9-87fa-971f-8619fb788562",
"inputs": {},
"title": null
},
{
"action": "example_core:V7GpzX40",
"authentication": null,
"inputs": null,
"title": null
}
]
}{
"errors": [
{
"status": 400,
"code": "parse_error",
"title": "ParseError",
"detail": "Malformed request.",
"source": null,
"meta": {
"source": "ZAPIER",
"full_details": {
"message": "Malformed request.",
"code": "parse_error"
}
}
}
]
}{
"errors": [
{
"status": 123,
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>",
"parameter": "<string>",
"header": "<string>"
},
"meta": {}
}
]
}{
"errors": [
{
"status": 123,
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>",
"parameter": "<string>",
"header": "<string>"
},
"meta": {}
}
]
}{
"errors": [
{
"status": 123,
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>",
"parameter": "<string>",
"header": "<string>"
},
"meta": {}
}
]
}{
"errors": [
{
"status": 123,
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>",
"parameter": "<string>",
"header": "<string>"
},
"meta": {}
}
]
}{
"errors": [
{
"status": 123,
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>",
"parameter": "<string>",
"header": "<string>"
},
"meta": {}
}
]
}{
"errors": [
{
"status": 500,
"code": "error",
"title": "APIException",
"detail": "A server error occurred.",
"source": null,
"meta": {
"source": "ZAPIER",
"full_details": {
"message": "A server error occurred.",
"code": "error"
}
}
}
]
}{
"errors": [
{
"status": 123,
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>",
"parameter": "<string>",
"header": "<string>"
},
"meta": {}
}
]
}{
"errors": [
{
"status": 123,
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>",
"parameter": "<string>",
"header": "<string>"
},
"meta": {}
}
]
}Authorizations
See our OAuth2 authentication documentation here: https://docs.zapier.com/powered-by-zapier/api-reference/authentication
Query Parameters
Body
application/json
Response
A Zap is an automated workflow that connects your apps and services together.
Was this page helpful?